Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.hups
Class RandomShift

    java.lang.Object
      umontreal.iro.lecuyer.hups.RandomShift

All Implemented Interfaces:
  PointSetRandomization

Direct Known Subclasses:
  LMScrambleShift, SMScrambleShift

    public class RandomShift

extends Object
implements PointSetRandomization

This class implements a `PointSetRandomization`. The `RandomStream` is stored internally. The method `randomize` simply calls `addRandomShift``(stream)`.

This class can be used as a base class to implement a specific randomization by overriding method `randomize`.

Constructor Summary
`RandomShift(RandomStream stream)` Sets the internal `RandomStream` to `stream`.

Method Summary
`RandomStream` | `getStream()` Returns the internal `RandomStream`.
`void` | `randomize(PointSet p)` This method calls `addRandomShift` `(stream)`.
`void` | `setStream(RandomStream stream)` Sets the internal `RandomStream` to `stream`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomShift

    public RandomShift(RandomStream stream)

  Sets the internal `RandomStream` to `stream`.

  Parameters:
    `stream` - stream to use in the randomization

Method Detail

### randomize

    public void randomize(PointSet p)

  This method calls `addRandomShift` `(stream)`.

  Specified by:
    `randomize` in interface `PointSetRandomization`
  Parameters:
    `p` - Point set to randomize

### setStream

    public void setStream(RandomStream stream)

  Sets the internal `RandomStream` to `stream`.

  Specified by:
    `setStream` in interface `PointSetRandomization`
  Parameters:
    `stream` - stream to use in the randomization

### getStream

    public RandomStream getStream()

  Returns the internal `RandomStream`.

  Specified by:
    `getStream` in interface `PointSetRandomization`
  Returns:
    stream used in the randomization

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.